#
# spec file for package perl-File-Next
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-File-Next
Version:        1.12
Release:        10.1
%define cpan_name File-Next
Summary:        File-finding iterator
License:        Artistic-2.0
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/File-Next/
Source:         http://www.cpan.org/authors/id/P/PE/PETDANCE/%{cpan_name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Test::More) >= 0.88
#BuildRequires: perl(File::Next)
#BuildRequires: perl(Util)
Requires:       perl(Test::More) >= 0.88
%{perl_requires}

%description
File-finding iterator

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README.md

%changelog
* Wed Jun  5 2013 cfarrell@suse.com
- license update: Artistic-2.0
  See Readme.md
* Tue Jun  4 2013 coolo@suse.com
- updated to 1.12
    [FIXES]
    Fix detection of named pipes under various flavors of BSD.
    [ENHANCEMENTS]
    Added the warning_handler argument to File::Next::from_file().
    This is so from_file() can throw a warning if a non-existent
    file is in the file it came from.
    [FIXES]
    from_file() should return undef if the file can't be opened.
    Fixed test failures and made tests more portable.
    [ENHANCEMENTS]
    Added File::Next::from_file() to get the list of files to iterate
    over from a file, or from STDIN.
    Named pipes are now supported.
    [INTERNAL]
    Add more tests, and clean up some Perl::Critic warnings.
* Fri Nov 18 2011 coolo@suse.com
- use original .tar.gz
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Thu Nov 11 2010 chris@computersalat.de
- removed perl-macros
  o no perl_gen_filelist
* Thu Nov 11 2010 chris@computersalat.de
- recreated by cpanspec 1.78.02
- move changelog to changes file
* Wed Nov 10 2010 puzel@novell.com
- update to perl-File-Next-1.06
  * Fixed closing =cut in POD.
- update to perl-File-Next-1.04
  * It's never been correct to call File::Next::files() as a
    method, as File::Next->files(). Now, if you do, files() will
    die with an error. This is also the case with dirs() and
    everything(). Thanks to Eric Lyons for reporting.
  * Tiny directory reading speedups.
  * Updated URLs for support sites.
  * Added a little note about the follow_symlinks=>0 being a
    speed hit.
* Tue Mar 25 2008 guru@unixtech.be
- new package 1.02
